Bug 800658 - lxde-logout won't show shutdown/reboot etc. without ConsoleKit
lxde-logout won't show shutdown/reboot etc. without ConsoleKit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lxsession (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 16:27 EST by walterhurry
Modified: 2012-06-03 13:31 EDT (History)
2 users (show)

See Also:
Fixed In Version: lxsession-0.4.6.1-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 23:28:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description walterhurry 2012-03-06 16:27:15 EST
Description of problem:
lxde-logout won't show shutdown/reboot etc. unless ConsoleKit is installed.

Version-Release number of selected component (if applicable):
lxde-common.noarch 0.5.5-0.4.20110328git87c368d7.fc17 

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora 17 Alpha with LXDE, and without ConsoleKit
2. Run lxde-logout in a terminal
  
Actual results:
1. This message (among others):
** WARNING **: dbus-interface.c:94: DBUS: The name org.freedesktop.ConsoleKit was not provided by any .service files

2. The only options are Logout and Cancel

Expected results:
Options Shutdown/Reboot/Suspend/Hibernate/Logout/Cancel

Additional info:
Comment 1 Vasiliy Glazov 2012-03-21 03:24:57 EDT
I can confirm it.
Comment 2 Fedora Update System 2012-03-21 18:08:04 EDT
lxsession-0.4.6.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lxsession-0.4.6.1-3.fc17
Comment 3 walterhurry 2012-03-21 18:44:34 EDT
But all that appears to do is to add ConsoleKit as a dependency. I thought the idea was to do away with ConsoleKit?
Comment 4 Christoph Wickert 2012-03-21 18:57:08 EDT
Yes and no. :)

Yes, I have added a dependency on ConsoleKit.
No, not everybody is moving away from ConsoleKit. ATM it is only GNOME but other desktops will continue to use ConsoleKit for a while.
Comment 5 Vasiliy Glazov 2012-03-22 01:05:04 EDT
Yes, it solve problem.
Comment 6 Fedora Update System 2012-03-22 20:43:17 EDT
Package lxsession-0.4.6.1-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lxsession-0.4.6.1-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4514/lxsession-0.4.6.1-3.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-04-11 23:28:20 EDT
lxsession-0.4.6.1-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.